@import "variables";

nz-spin {
  height: calc(100vh - 122px);
}

#ryax-workflow-header {
  display: flex;
  align-items: baseline;

  #ryax-workflow-header-buttons {
    margin-left: auto;
  }

  a {
    font-size: 1rem;
    margin-left: 8px;
  }

  button {
    margin-left: 12px;
  }
}

#ryax-workflow-list-container {
  display: flex;
  align-items: flex-start;
}

#ryax-filters {
  width: 300px;
  margin-right: 16px;
  flex-shrink: 0;
  //max-width: calc(100% - 600px);

  button {
    margin-right: 16px;
  }

  nz-input-group {
    margin-top: 16px;
    margin-bottom: 16px;
  }

  label {
    margin: 0;
    font-weight: bold;
  }

  ul {
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
  }
}

#ryax-workflow-list {
  padding: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;

  li {
    width: 220px;
  }
}

nz-tag {
  border: 1px solid $grey4;
  margin-bottom: 4px;

  &.ant-tag-checkable-checked {
    border-color: $primary5;
  }
}

nz-empty {
  width: 100%;
}
